# uIP initialization functions
[The uIP TCP/IP stack]

## Detailed Description

The uIP initialization functions are used for booting uIP.

## Functions

void | uip_init (void)
| uIP initialization function.
void | uip_setipid (u16_t id)
| uIP initialization function.

## Function Documentation

void uip_init | ( | void |  | ) |

uIP initialization function.

This function should be called at boot up to initilize the uIP TCP/IP stack.

Examples:
  example-mainloop-with-arp.c, and example-mainloop-without-arp.c.

Definition at line 379 of file uip.c.

References UIP_LISTENPORTS.

void uip_setipid | ( | u16_t | id | ) |

| uIP initialization function. This function may be used at boot time to set the initial ip_id. Definition at line 181 of file uip.c.